> ## Documentation Index
> Fetch the complete documentation index at: https://docs.overlay.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Mint NFT

> Mints an NFT item from an existing collection.



## OpenAPI

````yaml /openapi.yaml post /nfts/{mint_address}/mint
openapi: 3.1.0
info:
  title: Overlay API
  version: 0.1.0
  description: API for issuing wallets, tokens, and NFTs on Solana and EVM networks.
servers:
  - url: https://overlay.fun
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: wallets
    x-group: Wallets
    description: Create and inspect wallets.
  - name: tokens
    x-group: Tokens
    description: Create and operate fungible tokens.
  - name: nfts
    x-group: NFTs
    description: Create NFT collections and mint NFTs.
paths:
  /nfts/{mint_address}/mint:
    post:
      tags:
        - nfts
      summary: Mint NFT
      description: Mints an NFT item from an existing collection.
      operationId: mintNft
      parameters:
        - $ref: '#/components/parameters/MintAddress'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MintNftRequest'
            examples:
              solana:
                value:
                  network: solana
                  name: 'Overlay Pass #1'
                  symbol: OVLPASS
                  description: this is test nft item
                  images:
                    - https://overlay.fun/logo.png
                  website: https://overlay.fun
                  seller_fee: '3'
      responses:
        '200':
          description: NFT minted.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NftOperationResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  parameters:
    MintAddress:
      name: mint_address
      in: path
      required: true
      schema:
        type: string
      description: Solana mint address or EVM contract address.
  schemas:
    MintNftRequest:
      allOf:
        - $ref: '#/components/schemas/CreateNftRequest'
    NftOperationResponse:
      allOf:
        - $ref: '#/components/schemas/ApiSuccess'
    CreateNftRequest:
      type: object
      required:
        - network
        - name
        - description
        - images
      properties:
        network:
          $ref: '#/components/schemas/Network'
        name:
          type: string
        symbol:
          type: string
        description:
          type: string
        images:
          type: array
          minItems: 1
          items:
            type: string
            format: uri
        website:
          type: string
          format: uri
        attributes:
          type: array
          items:
            type: object
            additionalProperties: true
        seller_fee:
          oneOf:
            - type: number
            - type: string
        max_supply:
          type: number
        maxSupply:
          type: number
        uploadMetadata:
          type: boolean
    ApiSuccess:
      type: object
      required:
        - success
        - data
        - message
      properties:
        success:
          type: boolean
          example: true
        data:
          type: object
          additionalProperties: true
        message:
          type: string
    ApiError:
      type: object
      required:
        - success
        - message
        - error
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
        error:
          type: string
        timestamp:
          type: string
          format: date-time
    Network:
      type: string
      enum:
        - solana
        - evm
        - ethereum
        - sepolia
        - base
        - polygon
        - bsc
        - monad
        - sei
        - blast
        - sonic
        - linea
        - scroll
        - mantle
        - zora
        - optimism
        - arbitrum
        - avalanche
        - boba
        - metis
        - bera
        - celo
  responses:
    BadRequest:
      description: Invalid request body or parameters.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
          examples:
            badRequest:
              value:
                success: false
                message: Invalid request body.
                error: Bad request
    Unauthorized:
      description: Missing or invalid API key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
          examples:
            invalidApiKey:
              value:
                success: false
                message: Invalid api-key
                error: Unauthorized
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api-key
      x-default: ovl_your_api_key_here

````